
QGIS Application - Bug report #298

query tool is inaccurate

2006-09-22 03:53 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10357

Description

Please see teh attached screendump. Find the label 1205, in the center.

Now, if I query the vector displayed, at this zoom level, pointing exactly with the very sharp end of the mouse pointer between numbers 2

and 0, it queries all the 3 adjacent polygons, while it should query only the tall and narrow one, which I'm aiming at.

This is only an example. This happens very often. The query tool has much to big tolerance to use it conveniently.

Maciek

History

#1 - 2006-09-22 04:46 PM - Gavin Macaulay -

The radius that the selection tool searches in can be changed in the "Settings:Options:Selection & Measuring" dialog box. I suggest that you reduce the

value there. If that helps, please close this ticket.

#2 - 2006-09-23 01:54 AM - Redmine Admin

Thanks. I've set it to '1' and still the same problem.

Maciek

#3 - 2006-10-12 12:57 PM - Martin Dobias

I think we should change the setting to be more user-friendly: let users set the selection radius in pixels in map canvas rather than some magic values.

(IMHO this applies also to snapping tolerance in project options)

#4 - 2006-11-10 08:59 PM - Gary Sherman

The changes suggested by wonder are an enhancement to the current functionality. I've moved this ticket to "must-fix" for 0.9.

#5 - 2006-11-30 01:40 PM - Redmine Admin

I don't understand why fixing this bug is postponed to 0.9. I'm taking liberty to assign it back to 0.8. If it is fixed or not is a matter of developers, and please

don't take it as an insist. But it is unfair to pretend this is an enhacement request, as Gary wrote it.
Rationale:

This issue is critical. I can't imagine a GIS viewer that cannot query the features I point at, but two or more surrounding ones instead.

Postpone it again if you wish, but I'm sure it will be not fair. I'm not sure why it was skipped that easily - maybe there is something unclear in the way I

described the problem, thus the missunderstanding. So let me put the issue under your consideration again.

Best,

Maciek

#6 - 2006-11-30 02:38 PM - Gavin Macaulay -

We're keen to get version 0.8 out, and this lack of precision when querying is not a critical problem. The solution is to have the search radius in units of

pixels rather than some other units, which in our view is an enhancement to current functionality.

One still gets the desired geometry in the identify results dialog box - it's just that there are some extra ones there too, hence we didn't consider it as

critical.

If you zoom in on your examples, does identify work as expected?

#7 - 2006-11-30 03:12 PM - Redmine Admin

The solution is to have the search radius in units of pixels rather than some other units,

which in our view is an enhancement to current functionality.

That's a developers point of view. The user does not know or care about the internals. If it is a flaw in desing, which results in a problem, it is a bug for him.

And I he is "right".

If you zoom in on your examples, does identify work as expected?

Well yes. But I have to zoom a lot, too much for a normal use. Too much to call it a workaround.

Consider this also from "publicity" point of view - the basic GIS tool - identify - doesn't work as it should. Considering this, what will a user think of QGIS?

"If such an elementary tool fails, how would those more sophisticated tools perform; I'd better go get [[ArcView]]".

Thanks for revisiting this. Please don't take it as messing with you or other ard working QGIS folks. I really only want to make a constructive criticism on

this issue. This is really not trivial and hampers QGIS usability too much to be neglected.

Maciek

#8 - 2006-11-30 07:20 PM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

This problem should be resolved in svn commit:e826214f (SVN r6161). There was one bug (changes in the identify radius were not being used by the

identify code, so always remained at 5). The units for the identify radius have been changed to be a percentage of the map width.
Changing the identify search radius to something less than the default 0.5% (same as the previous 5 values) will now narrow down the search radius. The

minimum value is now 0.01%, i.e., a 10,000th of the map width.

#9 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
